
#ifndef CUSTOM_TREE_STORE
#define CUSTOM_TREE_STORE

#include <gtkmm.h>

class CustomTreeStore : public Gtk::TreeStore
{
	public:
		virtual ~CustomTreeStore() ;

		static Glib::RefPtr< CustomTreeStore >
		create( const Gtk::TreeModelColumnRecord& columns ) ;

		void reparent( Gtk::TreeModel::iterator& iter, Gtk::TreeModel::iterator& parent ) ;

	protected:
		void copy_iter( Gtk::TreeModel::iterator& from, Gtk::TreeModel::iterator& to ) ;
		void recursive_copy( Gtk::TreeModel::Children from, Gtk::TreeModel::Children to ) ;

		CustomTreeStore() ;
		CustomTreeStore( const Gtk::TreeModelColumnRecord& columns ) ;
} ;

#endif /* Included CustomTreeModel.hh */

