
#ifndef EXAMPLE_WINDOW_HH
#define EXAMPLE_WINDOW_HH

#include <gtkmm.h>

#include "CustomTreeStore.hh"

class ExampleColumns : public Gtk::TreeModel::ColumnRecord
{
	public:

		ExampleColumns()
		{
			add( id ) ;
			add( text ) ;
		}

		Gtk::TreeModelColumn<int>			id ;
		Gtk::TreeModelColumn<Glib::ustring>	text ;
} ;

class ExampleView : public Gtk::TreeView
{
	public:
		ExampleView() : Gtk::TreeView()
		{
		}

		virtual ~ExampleView()
		{
		}

	protected:
		virtual bool
		on_button_press_event( GdkEventButton* ev )
		{
			Gtk::TreeView::on_button_press_event( ev ) ;
			return false ;
		}
} ;

class ExampleWindow : public Gtk::Window
{
	public:
		ExampleWindow() ;
		virtual ~ExampleWindow() ;

	protected:
		virtual void	on_button_quit() ;
		void			on_add_row() ;
		void			before_tree_clicked( GdkEventButton* ev ) ;
		bool			on_tree_clicked( GdkEventButton* ev ) ;

		ExampleView*						_tree ;
		Glib::RefPtr< CustomTreeStore >		_store ;
		ExampleColumns						_columns ;
		Glib::RefPtr< Gtk::TreeSelection >	_selection ;

		int									_id ;

		Gtk::TreeModel::iterator			_from ;
		Gtk::TreeModel::iterator			_parent ;
} ;

#endif /* Included ExampleWindow.hh */

